#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ANSIColor
Summary:	Term::ANSIColor - color screen output using ANSI escape sequences
Summary(pl.UTF-8):	Term::ANSIColor - kolorowe wyświetlanie przy użyciu sekwencji ANSI
Name:		perl-Term-ANSIColor
Version:	2.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	d9b46a35541ffe7fcbe708e82ef95bf7
URL:		http://www.eyrie.org/~eagle/software/ansicolor/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-ANSIColor
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module is a simple and convenient interface to the ANSI
terminal escape sequences for color (from ECMA-48, also included in
ISO 6429). The color sequences are provided in two forms, either as
constants for each color or via a function that takes the names of
colors and returns the appropriate escape codes or wraps them around
the provided text. The non-color text style codes from ANSI X3.64
(bold, dark, underline, and reverse), which were also included in
ECMA-48 and ISO 6429, are also supported.

%description -l pl.UTF-8
Ten moduł Perla to prosty i wygodny interfejs do sekwencji
terminalowych ANSI służących do ustawiania kolorów (zdefiniowanych w
EMCA-48, włączonych także do ISO 6429). Sekwencje kolorów są
udostępniane na dwa sposoby - jako stałe dla każdego koloru oraz jako
funkcja przyjmująca nazwy kolorów i zwracająca odpowiednie kody
lub wstawiająca je w podany tekst. Obsługiwane są także kody stylu
tekstu nie związane z kolorami (pogrubienie, pociemnienie,
podkreślenie, negatyw) zgodnie ze standardem ANSI X3.64 (włączonym
także w ECMA-48 i ISO 6429).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Term/ANSIColor.pm
%{_mandir}/man3/*
%changelog
* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 73ace65
- updated to 2.02

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> a8b0755
- up to 1.12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2ca95e1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f6e0ceb
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 9ae5b52
- OOPS, ver. 1.11l fixed changelog

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> e0381c6
- ver. 1.11

* Mon Oct 31 2005 Paweł Cyranek <pawel.cyranek@gmail.com> ca9b65d
- updated to 1.10

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> c6d6737
- updated to 1.09

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 170644a
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> e68314f
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> f5b59c3
- license fixes, cosmetics

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 9173c52
- updated to 1.08

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 35ae2fa
- resurrected perl-ANSIColor as perl-Term-ANSIColor - newer than in perl 5.8.0

